<template>
  <div>
    <div
      class="block lg:hidden w-full rounded-large shadow-lg p-4 bg-cover bg-no-repeat"
      :style="{
        'background-image': `url(${require('../assets/images/bg_order.png')})`,
      }"
    >
      <div class="flex items-center">
        <h2 class="font-avenir font-semibold text-lg text-white">
          Pesan untuk perjalanan Anda selanjutnya.
        </h2>
      </div>

      <div class="flex mt-6">
        <div class="w-3/5"></div>
        <div class="w-2/5">
          <!-- <base-button
            :full-width="true"
            @click.native="openCreateOrder"
          >
            <template slot="text">PESAN</template>
          </base-button> -->
        </div>
      </div>
    </div>

    <div
      class="hidden lg:block square relative w-full bg-cover bg-no-repeat shadow-lg rounded-large"
      :style="{
        'background-image': `url(${require('../assets/images/bg_order_desktop.png')})`,
      }"
    >
      <div
        class="absolute w-full h-full p-4 lg:p-6 flex flex-col justify-between"
      >
        <div
          class="flex items-center font-avenir text-xl xl:text-2xl text-white font-semibold xl:pt-6"
        >
          Pesan untuk perjalanan Anda selanjutnya.
        </div>
        <div class="flex">
          <div class="w-full">
            <!-- <base-button @click.native="openCreateOrder">
              <template slot="text">
                <span class="px-4">+ PESAN</span>
              </template>
            </base-button> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data: () => ({
    additionalStyle: {
      height: "40px",
      width: "100px",
      "padding-bottom": "0.25rem",
    },
  }),
  methods: {
    // redirectTo() {
    //   return this.$router.push('/transaction/order')
    // }
    openCreateOrder() {
      // this.$store.commit('order/setModalCreateState', true)
    },
  },
};
</script>

<style lang="scss" scoped>
.square:after {
  content: "";
  display: block;
  padding-bottom: 100%;
}
</style>
